#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kbruch
Summary:	Kbruch
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	5b2fe10aff646357cc372c03f2044676
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KBruch is a small program to practice calculating with fractions and
percentages. Different exercises are provided for this purpose and you
can use the learning mode to practice with fractions. The program
checks the user's input and gives feedback.

%description -l pl.UTF-8
KBruch to mały program do ćwiczenia obliczeń na ułamkach i
procentach. W tym celu program podaje różne ćwiczenia, dzięki
którym możesz trenować operacje na ułamkach w trybie nauki. KBruch
sprawdza odpowiedzi użytkownika i podaje informacje zwrotne.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kbruch
%{_desktopdir}/org.kde.kbruch.desktop
%{_datadir}/config.kcfg/kbruch.kcfg
%{_iconsdir}/hicolor/16x16/apps/kbruch.png
%{_iconsdir}/hicolor/22x22/apps/kbruch.png
%{_iconsdir}/hicolor/32x32/apps/kbruch.png
%{_iconsdir}/hicolor/48x48/apps/kbruch.png
%{_iconsdir}/hicolor/64x64/apps/kbruch.png
%{_iconsdir}/hicolor/128x128/apps/kbruch.png
%{_iconsdir}/hicolor/scalable/apps/kbruch.svgz
%{_datadir}/kbruch
%{_datadir}/kxmlgui5/kbruch
%lang(ca) %{_mandir}/ca/man1/kbruch.1*
%lang(de) %{_mandir}/de/man1/kbruch.1*
%lang(es) %{_mandir}/es/man1/kbruch.1*
%lang(et) %{_mandir}/et/man1/kbruch.1*
%lang(it) %{_mandir}/it/man1/kbruch.1*
%{_mandir}/man1/kbruch.1*
%lang(nl) %{_mandir}/nl/man1/kbruch.1*
%lang(pt) %{_mandir}/pt/man1/kbruch.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/kbruch.1*
%lang(ru) %{_mandir}/ru/man1/kbruch.1*
%lang(sv) %{_mandir}/sv/man1/kbruch.1*
%lang(uk) %{_mandir}/uk/man1/kbruch.1*
%{_datadir}/metainfo/org.kde.kbruch.appdata.xml
%lang(fr) %{_mandir}/fr/man1/kbruch.1*
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kbruch.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e33e414
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 63ee315
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2d806e4
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c90a7f0
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5b514c1
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 53dec15
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0d7fb8d
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 062cef1
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 878e1f8
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 407d256
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> cb058a2
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 12b1426
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> db50e25
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6e114f0
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> aea1b52
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e3767a3
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0a53be8
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1a52b8b
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 90b06fb
- updated to 21.08.0

* Mon Jul 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f51e208
- pl description

